// Copyright 2015 by Artem Prilutskiy

#ifndef BRANDMEISTERBRIDGE_H
#define BRANDMEISTERBRIDGE_H

#include "PatchCordProxy.h"
#include "UserDataStore.h"

class BrandMeisterBridge
{
  public:

    BrandMeisterBridge();
    ~BrandMeisterBridge();

    const char* getTalker();
    void setTalker(const char* call, const char* name);
    void handleChatMessage(const char* text);

  private:

    PatchCordProxy proxy;
    UserDataStore store;
    char* talker;

};

#endif